defmodule DecentralisedBookIndexWeb.Components.MyComponents do
  alias DecentralisedBookIndexWeb.Components.MyComponents

  defmacro __using__(_) do
    quote do
      import MyComponents.AuthorCard, only: [author_card: 1]
      import MyComponents.AuthorSearch, only: [author_search: 1]

      import MyComponents.Pagination, only: [pagination: 1]
      import MyComponents.Buttons, only: [
        success_button: 1,
        primary_button: 1,
      ]
    end
  end
end
